#!/bin/sh

AFLAG=FALSE			# $BJQ?t$N=i4|2=!J%G%U%)%k%H$O;XDj$J$7!K(B
CFLAG=FALSE			# $B%*%W%7%g%s;XDj$,$"$C$?$H$-(B TRUE $B$K$9$k(B
CVALUE=""			# -c $B$N$"$H$NCM(B
MESSAGE=""			# $B$"$H$G;H$&=PNOMQ$NJQ?t(B
USAGE="Usage: case_smp06.sh [-a] [-c var] files..."	# $B;HMQK!$N%a%C%;!<%8(B

while [ $# -gt 0 ]		# $B%9%/%j%W%H$N0z?t$r:8$+$i=gHV$KD4$Y$k(B
do				# $BD4$Y$k$N$O(B - $B$,@hF,$K$"$kJ8;zNs$@$1(B
    case "$1" in
        -a)  AFLAG=TRUE		# -a $B$@$C$?$i(B AFLAG $B$r(B TRUE $B$K$9$k(B
             shift      ;;	# $B0LCV%Q%i%a%?$r$:$i$7$F<!$N%*%W%7%g%s$N%A%'%C%/$X(B
        -c)  CFLAG=TRUE		# -c $B$@$C$?$i(B
             CVALUE=$2		# $B$3$N<!$N0z?t!J(B$2 $B$KF~$C$F$$$k!K$rBeF~(B
             shift		# $B$3$N(B shift $B$G(B -c $B$,$:$l!"(B
             shift      ;;	# $B$3$N(B shift $B$G(B var $B$,$:$l$k(B
        --)  shift		# -- $B$OL@<(E*$J%*%W%7%g%s$N=*N;(B
             break      ;;	# $B$h$C$F(B shift $B$7$F%*%W%7%g%s%A%'%C%/(B while $B$rH4$1$k(B
        -?)  echo "$USAGE" 1>&2	# $B4V0c$C$?%*%W%7%g%s$O%(%i!<%a%C%;!<%8$r=P$7(B
             exit 1     ;;	# $B$=$N>l$G=*N;$9$k(B
        *)   break      ;;	# $BJ8;zNs$N@hF,$,(B - $B$G$J$$>l9g$O%*%W%7%g%s=hM}=*N;(B
    esac
done

if [ $# -eq 0 ]; then 		        # $B%*%W%7%g%s=hM}=*N;8e!"0z?t$,;D$C$F$$$J$$(B
    echo "No files specified." 1>&2 	# file $B;XDj$OI,?\$J$N$G%(%i!<$K$9$k(B
    echo "$USAGE" 1>&2
    exit 1                      	# $B%(%i!<$G=*N;(B
fi

if [ "$AFLAG" = "TRUE" ]; then		# -a $B$,;XDj$5$l$F$$$?$H$-$N=hM}(B
    MESSAGE="${MESSAGE}-a "
fi
if [ "$CFLAG" = "TRUE" ]; then		# -c $B$,;XDj$5$l$F$$$?$H$-$N=hM}(B
    MESSAGE="${MESSAGE}-c $CVALUE"	# -c var $B$^$G$,%*%W%7%g%s$K4^$^$l$k(B
fi

echo "Specified Options are <$MESSAGE>,"	# $B:G=*E*$J=PNO(B
echo "and Specified Files are <$*>."
