#!/bin/sh

A_FLAG=FALSE			# 8 $B9TL\$^$G$OMxMQ$9$kJQ?t$N=i4|2=(B
B_FLAG=FALSE
V_FLAG=FALSE
V_VALUE=""
OPTION=""
MESSAGE=""

while getopts abv: OPTION	# getopts $B$rMxMQ$9$k(B
do
    case $OPTION in
      a) A_FLAG=TRUE		# -a $B%*%W%7%g%s$,;XDj$5$l$?$H$-$N=hM}(B
         ;;
      b) B_FLAG=TRUE		# -b $B%*%W%7%g%s$,;XDj$5$l$?$H$-$N=hM}(B
         ;;
      v) V_FLAG=TRUE		# -v $B%*%W%7%g%s$,;XDj$5$l$?$H$-$N=hM}(B
         V_VALUE=$OPTARG	# $B$3$N%*%W%7%g%s$KBP$9$k0z?t$,(B $OPTARG $B$KF~$C$F$$$k(B
         ;;
     \?) echo "Usage: $0 [-ab] [-v var] arguments..." 1>&2
         exit 1			# $B>e5-%*%W%7%g%s0J30$O%(%i!<$G=*N;(B
         ;;
    esac
done

shift `expr $OPTIND - 1`	# $B%*%W%7%g%sItJ,$r$J$/$7$F;D$j$N0z?t$@$1$K$9$k(B

if [ $# -eq 0 ]; then		# $B%*%W%7%g%s0J30$K0z?t$,$J$+$C$?$i%(%i!<(B
  echo "Usage: $0 [-ab] [-v var] arguments..." 1>&2
  exit 1
fi

if [ $A_FLAG = TRUE ]; then	# -a $B$N$H$-$N=hM}(B
  MESSAGE="${MESSAGE}a"
fi
if [ $B_FLAG = TRUE ]; then	# -b $B$N$H$-$N=hM}(B
  MESSAGE="${MESSAGE}b"
fi
if [ $V_FLAG = TRUE ]; then	# -v $B$N$H$-$N=hM}(B
  MESSAGE="${MESSAGE}v"
fi

if [ "${MESSAGE}" != "" ]; then		# $B$3$3$G$O!"%*%W%7%g%s$KJ,$1$F(B
  MESSAGE="${MESSAGE} flags ON"		# MESSAGE $B$H$$$&JQ?t$r%;%C%H$7!"(B
  if [ $V_FLAG = TRUE ]; then		# $B7k2L$H$7$F=PNO$5$;$k(B
    MESSAGE="${MESSAGE}, v's value is $V_VALUE"
  fi
else
  MESSAGE="No flags set"
fi

echo "${MESSAGE}"
echo "and arguments are $@".	# $B0z?tA4It$O(B $@ $B$KBeF~$5$l$F$$$k(B
