#!/bin/sh

Usage="Usage: $0 [-c]"			# $B%*%W%7%g%s$N4V0c$$$N$H$-(B

Atoa(){                         	# $BBgJ8;z$r>.J8;z$K$9$k4X?t(B
  echo $* | tr '[A-Z]' '[a-z]'
}

extent_check(){				# .jpg $B$+(B .bmp $B$+$r8+J,$1$k4X?t(B
  EXTENT=`echo $1 | sed -e 's/\(.*\)\.\(.*\)/\2/'`	# $B3HD%;RItJ,$NH4$-=P$7(B
  case $EXTENT in
      [jJ][pP][gG]) echo $1 ;;		# jpg $B$NBgJ8;z>.J8;z:.9g(B
      [bB][mM][pP]) echo $1 ;;		# bmp $B$NBgJ8;z>.J8;z:.9g(B
                * ) ;;			# $B$=$l0J30$@$C$?$i2?$b$7$J$$(B
  esac
}

file_body(){				# $B3HD%;R$r=|$/ItJ,$r<h$j=P$94X?t(B
  FILEBODY=`echo $1 | sed -e 's/\(.*\)\.\(.*\)/\1/'`	# $B3HD%;R0J30$NH4$-=P$7(B
  echo $FILEBODY			# $B<h$j=P$7$?ItJ,$r$=$N$^$^JV$9(B
}

check_duplicate(){			# $BJQ998e%U%!%$%kL>$,=EJ#$7$J$$$+$I$&$+$N%A%'%C%/(B
  for file in *.*			# *.* $B$H$$$&7A<0$N%U%!%$%k$r$H$K$+$/07$&(B
  do
      if [ "`extent_check $file`" != "" ]; then		# .jpg $B$+(B .bmp $B$@$C$?$i(B
          Atoa $file >> /tmp/tempfile01$$ 		# $B%U%!%$%kL>A4It$r>.J8;z$K(B
          Atoa `file_body $file` >> /tmp/tempfile02$$	# $B3HD%;R0J30$NItJ,$r>.J8;z$K(B
      else
          continue			# .jpg$B!"(B.bmp $B0J30$O2?$b$7$J$$(B
      fi
  done
  if [ -s /tmp/tempfile01$$ ]; then				# $B3:Ev%U%!%$%k$,B8:_$9$k$H$-(B
      sort /tmp/tempfile01$$ | uniq -d > /tmp/tempfile03$$	# $B%U%!%$%kL>$H$7$F(B
      if [ -s /tmp/tempfile03$$ ]; then				# $B=EJ#$9$k$3$H$,$J$$$+(B
          echo "Following files are duplicated after Atoa"
          cat /tmp/tempfile03$$					# $B%U%!%$%kL>$NI=<((B
      fi
      sort /tmp/tempfile02$$ | uniq -d > /tmp/tempfile03$$	# $B3HD%;R$r=|$$$?ItJ,$G(B
      if [ -s /tmp/tempfile03$$ ]; then				# $B=EJ#$9$k$3$H$,$J$$$+(B
          echo "Following files are duplicated after convert"
          cat /tmp/tempfile03$$					# $B%U%!%$%kL>$NI=<((B
      fi
      rm -f /tmp/tempfile0[123]$$	# $BCf4V%U%!%$%k$N:o=|(B
      exit 1				# $BF1$8%U%!%$%kL>$,$G$-$k>l9g$O$3$3$G=*N;$9$k(B
  fi					# $B$G$-$J$$>l9g$O$=$N$^$^JQ49=hM}$X(B
}

while getopts c OPTION       		# getopts $B$rMxMQ$7$?%*%W%7%g%s=hM}(B
do
    case $OPTION in
      c) check_duplicate  ;;		# -c $B$N$H$-!"F1$8%U%!%$%kL>$,$G$-$J$$$+$r%A%'%C%/(B
      ?) echo $Usage 1>&2 		# $B$=$l0J30$O%(%i!<(B
         exit 1 ;;
    esac
done

for file in *.*				# $B%5%`%M%$%k$r:n$k%U%!%$%k$rH4$-=P$7$F=hM}(B
do
    if [ "`extent_check $file`" != "" ]; then	# .jpg $B$+(B .bmp $B$@$1$r=hM}$9$k(B
        case $file in
            *[A-Z]*) mv $file `Atoa $file` ;;	# $BBgJ8;z$r4^$`%U%!%$%k$,$"$l$P(B
                 * ) continue ;;		# $B$9$Y$F>.J8;z$N%U%!%$%kL>>N$X(B
        esac
    fi
done

# $B0J8e$O(B thumbnail_smp01.sh $B$NFbMF$HF1$8(B 
for file in *.jpg *.bmp			# $B$9$G$K>.J8;z$K$J$C$F$$$k$N$G(B
do					# $B$3$N%U%!%$%k$rBP>]$K$9$l$P$h$$(B
    if [ -f $file ]; then
	CONVFILE=`file_body $file`				# $B4X?t$r;H$C$F=q$-49$($?(B
	convert -resize 120x120 $file ${CONVFILE}_tn.jpg	# convert $B=hM}<B9T(B
    fi
done
