#!/bin/sh

USAGE="Usage: $0 [-ab] [-v var] file..."	# Usage $B$N%a%C%;!<%8(B
AFLAG=false					# $B3FJQ?t$NDj5A(B
BFLAG=false
VFLAG=false
VVALUE=""

while getopts abv: OPTION	# getopts $B$rMxMQ$7$F%*%W%7%g%s$r=hM}(B
do
   case $OPTION in
       a) AFLAG=true ;;		# -a $B%*%W%7%g%s$,;XDj$5$l$F$$$k$H$-(B
       b) BFLAG=true ;;		# -b $B%*%W%7%g%s$,;XDj$5$l$F$$$k$H$-(B
       v) VFLAG=true		# -v $B%*%W%7%g%s$,;XDj$5$l$F$$$k$H$-(B
          VVALUE=$OPTARG ;;	# -v $B%*%W%7%g%s$KBP$9$k0z?t$,(B $OPTARG
      \?) echo "$USAGE" 1>&2	# $B>e5-0J30$O=q<0$N4V0c$$$J$N$G(B
          exit 1 ;;		# Usage $B$r=PNO$7$F%(%i!<!J(B1$B!K=*N;(B
    esac
done

shift `expr $OPTIND - 1`		# $B;D$j$N0z?t$N?t$r%A%'%C%/(B
if [ $# -ne 0 ]; then			# 1 $B$D$G$bB8:_$7$F$$$?$i(B
    echo "You specify right options."	# $B@5$7$$=q<0$G;XDj$5$l$?(B
    exit 0				# $B=*N;%3!<%I$b(B 0
else					# $B0z?t$,$J$/$J$C$F$$$?$i(B
    echo "no file specified" 1>&2	# $B4N?4$N%U%!%$%k$r;XDj$7$F$$$J$$(B
    echo "$USAGE" 1>&2			# Usage $B$r=PNO$7$F(B
    exit 2				# $B%(%i!<!J(B2$B!K=*N;(B
fi
