#!/bin/sh

cleanup(){					# $B:G=*=hM}MQ$N4X?t(B
  EXIT_CODE=$1					# $B4X?t$N0z?t$r=*N;%3!<%I$K$9$k(B
  NUMBER=`awk '{print $1}' $TMP_FILE`		# $B:#$^$GB-$79g$o$;$F$$$k?t;z(B
  NUMSUM=`awk '{print $2}' $TMP_FILE`		# $BB-$79g$o$;$F$$$C$?7k2L(B
  echo "1 + 2 + 3 + ... + $NUMBER = $NUMSUM"	# $B$I$3$^$G7W;;$7$?$+$rI=<($9$k(B
  rm -f $TMP_FILE				# $B%F%s%]%i%j%U%!%$%k$r>C$9(B
  rm -f $LOCK_FILE				# $B%m%C%/%U%!%$%k$r>C$9(B
  exit $EXIT_CODE				# $B=*N;(B
}

trap 'cleanup 1'   1				# $B<u$1$?%7%0%J%k$G(B
trap 'cleanup 2'   2				# $B=*N;%3!<%I$rJ,$1$F$_$k(B
trap 'cleanup 3'   3				# $B<B:]$K$O(B
trap 'cleanup 15'  15				# $B!V(Btrap 'cleanup 1' 1 2 3 15$B!W$G$+$^$o$J$$(B

LOCK_FILE=/tmp/lockfile.$$			# $B%m%C%/%U%!%$%k$NL>>N(B
TMP_FILE=/tmp/tmpfile.$$			# $B%F%s%]%i%j%U%!%$%k$NL>>N(B

ALREADY_LOCKED=`ls /tmp/lockfile.* 2>/dev/null`	# $B%m%C%/%U%!%$%k$,B8:_$9$k$+$I$&$+(B
if [ "$ALREADY_LOCKED" != "" ]; then		# $BB8:_$7$F$$$?$i(B
    echo "Already running the same program."	# 2 $B$D$HF1$8=hM}$OAv$i$;$J$$(B
    exit 0
fi

touch $LOCK_FILE				# $B%m%C%/%U%!%$%k$r:n@.$9$k(B

SUM=0
NUM=1
while [ $NUM -le 10000000 ]			# $B>e8B$,(B 10000000 $B$^$G(B
do
    SUM=`expr -- $SUM + $NUM`			# $B$=$N?t$^$GB-$7;;$7(B
    echo $NUM $SUM > $TMP_FILE			# $B?t;z$H7k2L$r%F%s%]%i%j%U%!%$%k$K=q$-9~$`(B
    NUM=`expr -- $NUM + 1`			# $BB-$9?t$r(B 1 $B$D>e$2$k(B
    sleep 1
done

cleanup 0					# $B>e8B$^$G$$$C$?>l9g$O=*N;%3!<%I(B 0
