#!/bin/sh

SYSTEM=`uname -s`                       # $B%7%9%F%`$h$C$F=hM}$rJ,$1$k(B
case $SYSTEM in
    SunOS) PPID=`ps -ef | grep $1 | grep -v grep \
                 | grep -v $0 | awk '{print $3}'`	# Solaris $B$N>l9g(B
	   ;;
  FreeBSD) PPID=`ps alx | grep $1 | grep -v grep \
                 | grep -v $0 | awk '{print $3}'`	# FreeBSD $B$N>l9g(B
	   ;;
    Linux) PPID=`ps alx | grep $1 | grep -v grep \
                 | grep -v $0 | awk '{print $4}'`	# Linux $B$N>l9g(B
	   ;;
        *) exit 0
           ;;
esac

PPID_LIST=`echo $PPID`			# $B3:Ev%W%m%;%9$,J#?t$"$C$?$H$-2~9T$r=|$/(B

echo "parent process PID of $1 is: $PPID_LIST"
